## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate tabled

Name:           rust-tabled
Version:        0.16.0
Release:        %autorelease
Summary:        Easy to use library for pretty print tables of Rust structs and enums

License:        MIT
URL:            https://crates.io/crates/tabled
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * disable table_width_2 example, requires file from github not in shipped
#   crate
Patch:          tabled-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
An easy to use library for pretty print tables of Rust `struct`s and
`enum`s.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ansi-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ansi-devel %{_description}

This package contains library source intended for building other packages which
use the "ansi" feature of the "%{crate}" crate.

%files       -n %{name}+ansi-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ansi-str-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ansi-str-devel %{_description}

This package contains library source intended for building other packages which
use the "ansi-str" feature of the "%{crate}" crate.

%files       -n %{name}+ansi-str-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ansitok-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ansitok-devel %{_description}

This package contains library source intended for building other packages which
use the "ansitok" feature of the "%{crate}" crate.

%files       -n %{name}+ansitok-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+derive-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+derive-devel %{_description}

This package contains library source intended for building other packages which
use the "derive" feature of the "%{crate}" crate.

%files       -n %{name}+derive-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+macros-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+macros-devel %{_description}

This package contains library source intended for building other packages which
use the "macros" feature of the "%{crate}" crate.

%files       -n %{name}+macros-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tabled_derive-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tabled_derive-devel %{_description}

This package contains library source intended for building other packages which
use the "tabled_derive" feature of the "%{crate}" crate.

%files       -n %{name}+tabled_derive-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * disable failing tests
%cargo_test -- -- --exact --skip core::table_test::derived::table_emojie_multiline --skip settings::render_settings::tab_isnot_handled_by_default_test
%endif

%changelog
## START: Generated by rpmautospec
* Fri Nov 15 2024 Michel Lind <salimma@fedoraproject.org> - 0.16.0-1
- Update to version 0.16.0; Fixes: RHBZ#2255309

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jun 03 2024 Fabio Valentini <decathorpe@gmail.com> - 0.14.0-5
- Skip a test that fails with unicode-width v0.1.12

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Oct 28 2023 Michel Lind <salimma@fedoraproject.org> - 0.14.0-3
- Actually enable working tests

* Sat Oct 28 2023 Michel Lind <salimma@fedoraproject.org> - 0.14.0-2
- Update to 0.14.0
- Temporarily disable tests due to unsatisfiable dependencies

* Sat Oct 28 2023 Michel Lind <salimma@fedoraproject.org> - 0.14.0-1
- Update to 0.14.0
- Skip some tests due to unsatisfiable dependencies

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun May 21 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.12.0-2
- Disable example that requires unshipped file

* Sun May 21 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.12.0-1
- Update to 0.12.0

* Fri Feb 17 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.10.0-2
- Revert dependency bump for ansi-str

* Fri Feb 17 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.10.0-1
- Initial Fedora package
## END: Generated by rpmautospec
